Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7236 - Problem with Reference Guide, section 2.8.1
Summary: Problem with Reference Guide, section 2.8.1
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-22 21:38 UTC by d_ellis
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-06 05:48:56 UTC


Attachments (Terms of Use)

Description d_ellis 1999-11-22 21:38:18 UTC
In section 2.8.1 of the Reference Guide (page 39,
RefGuide(EN)-3.0-Print-RHI (09/99)) you state that you can use a .config
file previously generated to build a kernel.

In Redhat 6.1
	Install a fresh Redhat 6.1 on a server
	Copy a .config file into /usr/src/linux from an identical server 		Run
make dep, make clean, and then make boot, you get an error.

This worked in Redhat 5.2.

If you run make xconfig and use "Load Configuration from File", it works
correctly.

The Reference Guide needs to be updated.

Comment 1 Chris Siebenmann 1999-11-22 22:52:59 UTC
A .config file needs to be processed by the kernel configuration
process before it can really be used (this is confusing, but that's
an issue for the kernel people). The simplest method to do this is
probably 'make oldconfig' once you've put the .config file into place.

Comment 2 Cristian Gafton 2000-01-04 22:20:59 UTC
Assigned to dledford


Note You need to log in before you can comment on or make changes to this bug.